Package org.apache.solr.client.solrj.request.beans

## Class CreateCorePayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.CreateCorePayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

    public class CreateCorePayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `async`
`String` `collection`
`String` `config`
`String` `configSet`
`String` `coreNodeName`
`String` `dataDir`
`String` `instanceDir`
`Boolean` `isTransient`
`Boolean` `loadOnStartup`
`String` `name`
`Boolean` `newCollection`
`Integer` `numShards`
`Map<String,​Object>` `properties`
`String` `replicaType`
`List<String>` `roles`
`String` `schema`
`String` `shard`
`String` `ulogDir`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`CreateCorePayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### name

    public String name

#### instanceDir

    public String instanceDir

#### dataDir

    public String dataDir

#### ulogDir

    public String ulogDir

#### schema

    public String schema

#### config

    public String config

#### configSet

    public String configSet

#### loadOnStartup

    public Boolean loadOnStartup

#### isTransient

    public Boolean isTransient

#### shard

    public String shard

#### collection

    public String collection

#### roles

    public List<String> roles

#### replicaType

    public String replicaType

#### properties

    public Map<String,​Object> properties

#### coreNodeName

    public String coreNodeName

#### numShards

    public Integer numShards

#### newCollection

    public Boolean newCollection

#### async

    public String async

### Constructor Detail

#### CreateCorePayload

    public CreateCorePayload()